package cn.com.countrygarden.bi.main.dao.wcx;


import cn.com.countrygarden.bi.main.dto.wcx.BdTypeDo;
import cn.com.countrygarden.bi.main.dto.wcx.WcxRegionProjectDto;
import cn.com.countrygarden.bi.main.model.bd_psndoc;
import cn.com.countrygarden.bi.main.model.wcx.WcxUserAdmDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface WcxUserDtoMapper {
    List<WcxUserAdmDto> selectPageData(WcxUserAdmDto wcxUserAdmDto);

    Long selectPageCount(WcxUserAdmDto wcxUserAdmDto);

    List<BdTypeDo> findRoleregionfour();

    List<BdTypeDo> getPojDate(String organCode);

    List<WcxUserAdmDto> selectList();

    WcxRegionProjectDto selectOne(WcxRegionProjectDto conditionRegionProject);

    BdTypeDo findPropertyProjectNameByEmployeeCardId(String employeeCardId);

    int updateOrg(WcxUserAdmDto wuser);

    List<bd_psndoc> selectByPersonName(@Param("employeeName") String employeeName,@Param("employeeCardId") String employeeCardId);

    int insertUser(WcxUserAdmDto wuser);

    List<WcxUserAdmDto> selectUserOne(@Param("employeeName") String employeeName,@Param("employeeCardId") String employeeCardId);

    int addInvalid(WcxUserAdmDto wcxUserAdmDto);

    List<WcxUserAdmDto>  getReadingNotice(WcxUserAdmDto wcxUserAdmDto);

    Long getReadingNoticeCount(WcxUserAdmDto wcxUserAdmDto);

    List<WcxUserAdmDto> getReadingInnovation(WcxUserAdmDto wcxUserAdmDto);

    Long getReadingInnovationCount(WcxUserAdmDto wcxUserAdmDto);
}
